import { NgControl } from '@angular/forms';
export declare class CustomValidators {
    static required(): (control: NgControl) => {
        [key: string]: any;
    };
    static isString(allowEmpty?: boolean): (control: NgControl) => {
        [key: string]: any;
    };
    static noQuotes(): (control: NgControl) => {
        [key: string]: any;
    };
    static maxLength(max: any): (control: NgControl) => {
        [key: string]: any;
    };
    static minLength(min: any): (control: NgControl) => {
        [key: string]: any;
    };
    static isNumber(): (control: NgControl) => {
        [key: string]: any;
    };
    static isInteger(): (control: NgControl) => {
        [key: string]: any;
    };
    static min(min: any): (control: NgControl) => {
        [key: string]: any;
    };
    static max(max: any): (control: NgControl) => {
        [key: string]: any;
    };
    static minSelections(minSelections: any): (control: NgControl) => {
        [key: string]: any;
    };
    static maxSelections(maxSelections: any): (control: NgControl) => {
        [key: string]: any;
    };
}
